=== modified file 'hunk_selector.py'
--- hunk_selector.py	2005-11-29 07:12:26 +0000
+++ hunk_selector.py	2006-07-04 12:51:41 +0000
@@ -1,5 +1,7 @@
 #!/usr/bin/python
 
+import sys
+
 from userinteractor import UserInteractor, UserOption
 import copy
 
@@ -7,6 +9,15 @@
     strings = {}
 
     def __init__(self, patches):
+        try:
+            from colordiff import DiffWriter
+            from terminal import has_ansi_colors
+            if has_ansi_colors():
+                self.diff_stream = DiffWriter(sys.stdout)
+            else:
+                self.diff_stream = sys.stdout
+        except ImportError:
+            self.diff_stream = sys.stdout
         self.standard_options = [
             UserOption('y', self._selected, self.strings['select_desc'],
                 default=True),
@@ -65,7 +76,8 @@
     # Called once for each hunk
     def _hunk_callback(self, hunk, count):
         if self.last_printed != count:
-            print hunk.patch.get_header(), hunk
+            self.diff_stream.write(str(hunk.patch.get_header()))
+            self.diff_stream.write(str(hunk))
             self.last_printed = count
 
         if hunk.selected:

